Package org.eclipse.viatra.query.runtime.api

## Class MatchUpdateAdapter<Match extends IPatternMatch>

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.MatchUpdateAdapter<Match>

- All Implemented Interfaces:
    `IMatchUpdateListener<Match>`

      public class MatchUpdateAdapter<Match extends IPatternMatch>
      extends java.lang.Object
      implements IMatchUpdateListener<Match>

  A default implementation of `IMatchUpdateListener` that contains two match processors, one for appearance, one for disappearance. Any of the two can be null; in this case, corresponding notifications will be ignored.

  Instantiate using either constructor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MatchUpdateAdapter()` | Constructs an instance without any match processors registered yet.
    `MatchUpdateAdapter​(java.util.function.Consumer<Match> appearCallback, java.util.function.Consumer<Match> disappearCallback)` | Constructs an instance by specifying match processors.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.function.Consumer<Match>` | `getAppearCallback()` |
    `java.util.function.Consumer<Match>` | `getDisappearCallback()` |
    `void` | `notifyAppearance​(Match match)` | Will be invoked on each new match that appears.
    `void` | `notifyDisappearance​(Match match)` | Will be invoked on each existing match that disappears.
    `void` | `setAppearCallback​(java.util.function.Consumer<Match> appearCallback)` |
    `void` | `setDisappearCallback​(java.util.function.Consumer<Match> disappearCallback)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchUpdateAdapter

          public MatchUpdateAdapter()

      Constructs an instance without any match processors registered yet. Use `setAppearCallback(Consumer)` and `setDisappearCallback(Consumer)` to specify optional match processors for match appearance and disappearance, respectively.

    - #### MatchUpdateAdapter

          public MatchUpdateAdapter​(java.util.function.Consumer<Match> appearCallback,
                                    java.util.function.Consumer<Match> disappearCallback)

      Constructs an instance by specifying match processors.
      Parameters:
        `appearCallback` - a match processor that will be invoked on each new match that appears. If null, no callback will be executed on match appearance. See `Consumer` for details on how to implement.
        `disappearCallback` - a match processor that will be invoked on each existing match that disappears. If null, no callback will be executed on match disappearance. See `Consumer` for details on how to implement.
      Since:
        2.0

  - ### Method Detail

    - #### getAppearCallback

          public java.util.function.Consumer<Match> getAppearCallback()

      Returns:
        the match processor that will be invoked on each new match that appears. If null, no callback will be executed on match appearance.
      Since:
        2.0

    - #### setAppearCallback

          public void setAppearCallback​(java.util.function.Consumer<Match> appearCallback)

      Parameters:
        `appearCallback` - a match processor that will be invoked on each new match that appears. If null, no callback will be executed on match appearance. See `Consumer` for details on how to implement.
      Since:
        2.0

    - #### getDisappearCallback

          public java.util.function.Consumer<Match> getDisappearCallback()

      Returns:
        the match processor that will be invoked on each existing match that disappears. If null, no callback will be executed on match disappearance.
      Since:
        2.0

    - #### setDisappearCallback

          public void setDisappearCallback​(java.util.function.Consumer<Match> disappearCallback)

      Parameters:
        `disappearCallback` - a match processor that will be invoked on each existing match that disappears. If null, no callback will be executed on match disappearance. See `Consumer` for details on how to implement.
      Since:
        2.0

    - #### notifyAppearance

          public void notifyAppearance​(Match match)

      Description copied from interface: `IMatchUpdateListener`
      Will be invoked on each new match that appears.
      Specified by:
        `notifyAppearance` in interface `IMatchUpdateListener<Match extends IPatternMatch>`
      Parameters:
        `match` - the match that has just appeared.

    - #### notifyDisappearance

          public void notifyDisappearance​(Match match)

      Description copied from interface: `IMatchUpdateListener`
      Will be invoked on each existing match that disappears.
      Specified by:
        `notifyDisappearance` in interface `IMatchUpdateListener<Match extends IPatternMatch>`
      Parameters:
        `match` - the match that has just disappeared.